Bitcoin Forum
August 10, 2022, 11:57:16 PM *
News: Latest Bitcoin Core release: 23.0 [Torrent]
 
   Home   Help Search Login Register More  
Pages: [1]
  Print  
Author Topic: [SOLVED]pyopencl.LogicError: clGetPlatformIDs failed: invalid/unknown error code  (Read 9650 times)
bb
Member
**
Offline Offline

Activity: 84
Merit: 10


View Profile
July 14, 2011, 01:30:44 AM
Last edit: July 14, 2011, 01:59:42 AM by bb
 #1

Ok, so I am closer to mad than usually. I keep getting the following error:

pyopencl.LogicError: clGetPlatformIDs failed: invalid/unknown error code

Now, all of the following work just fine:
  • fglrxinfo
  • aticonfig --listadapters

Also LD_LIBRARY_PATH is set:

$ echo $LD_LIBRARY_PATH
/opt/AMD-APP-SDK-v2.4-lnx64/lib/x86_64:


And (most importantly) the ICDs are installed:

$ ls /etc/OpenCL/vendors/
atiocl32.icd  atiocl64.icd


What am I missing?  Angry

Thanks,
bb

1660175836
Hero Member
*
Offline Offline

Posts: 1660175836

View Profile Personal Message (Offline)

Ignore
1660175836
Reply with quote  #2

1660175836
Report to moderator
1660175836
Hero Member
*
Offline Offline

Posts: 1660175836

View Profile Personal Message (Offline)

Ignore
1660175836
Reply with quote  #2

1660175836
Report to moderator
1660175836
Hero Member
*
Offline Offline

Posts: 1660175836

View Profile Personal Message (Offline)

Ignore
1660175836
Reply with quote  #2

1660175836
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1660175836
Hero Member
*
Offline Offline

Posts: 1660175836

View Profile Personal Message (Offline)

Ignore
1660175836
Reply with quote  #2

1660175836
Report to moderator
bb
Member
**
Offline Offline

Activity: 84
Merit: 10


View Profile
July 14, 2011, 01:58:43 AM
 #2

Oh no, I was using SDK 2.4, but the IDCs of SDK 2.1.  Roll Eyes
sergio
Sr. Member
****
Offline Offline

Activity: 311
Merit: 254


View Profile WWW
July 19, 2011, 07:52:32 AM
 #3

I have the same problem.
What did you do to fix it?
bb
Member
**
Offline Offline

Activity: 84
Merit: 10


View Profile
July 19, 2011, 11:25:44 AM
 #4

I have the same problem.
What did you do to fix it?

I deleted the old ICDs from /etc/OpenCL/vendors/ and put the 2.4 ones from AMD-APP-SDK-v2.4-lnx64/icd-registration.tgz there.
djdeniro
Jr. Member
*
Offline Offline

Activity: 51
Merit: 1

Serial Inventor


View Profile WWW
March 23, 2018, 09:39:27 AM
 #5

same problem with http://vipco.in miner.

Code:
$ sudo ./oclvanitygen -d 2 -P 047a59a820bf2acbf10e30e178c433a7584e####6bf9867a##c3877a1cf78a10####7aac14c583c41078dd5d46a695f57616bf5c10f292c9264f046e6c0679cd9f -Z 3D71E8A1A1038623A2dEF831ABDF39## 1Den
Difficulty: 77178
clGetPlatformIDs(0): Unknown code -1001
clGetPlatformIDs(0): Unknown code -1001
Available OpenCL platforms:

Serial Inventor
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!